Update an existing toolkit
curl --request PATCH \
--url https://flowra.dev/api/v1/toolkits/byId/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"slug": "<string>",
"name": "Updated Toolkit Name",
"description": "Updated description",
"logo": "https://example.com/new-logo.png",
"appUrl": "https://new-app.example.com",
"authSchemes": [
"OAUTH2",
"API_KEY"
],
"providerManagedAuthSchemes": [
"OAUTH2"
],
"noAuth": false,
"isDisabled": false,
"version": "1.1.0",
"popularityScore": 0,
"categories": [
{}
],
"baseUrl": "https://api.example.com",
"getCurrentUserEndpoint": "<string>",
"authConfigDetails": "<array>"
}
'import requests
url = "https://flowra.dev/api/v1/toolkits/byId/{id}"
payload = {
"slug": "<string>",
"name": "Updated Toolkit Name",
"description": "Updated description",
"logo": "https://example.com/new-logo.png",
"appUrl": "https://new-app.example.com",
"authSchemes": ["OAUTH2", "API_KEY"],
"providerManagedAuthSchemes": ["OAUTH2"],
"noAuth": False,
"isDisabled": False,
"version": "1.1.0",
"popularityScore": 0,
"categories": [{}],
"baseUrl": "https://api.example.com",
"getCurrentUserEndpoint": "<string>",
"authConfigDetails": "<array>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
name: 'Updated Toolkit Name',
description: 'Updated description',
logo: 'https://example.com/new-logo.png',
appUrl: 'https://new-app.example.com',
authSchemes: ['OAUTH2', 'API_KEY'],
providerManagedAuthSchemes: ['OAUTH2'],
noAuth: false,
isDisabled: false,
version: '1.1.0',
popularityScore: 0,
categories: [{}],
baseUrl: 'https://api.example.com',
getCurrentUserEndpoint: '<string>',
authConfigDetails: '<array>'
})
};
fetch('https://flowra.dev/api/v1/toolkits/byId/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"data": {}
}Toolkits
Update an existing toolkit
Update a toolkit’s name, slug, or other settings. Only the fields you send are changed.
PATCH
/
api
/
v1
/
toolkits
/
byId
/
{id}
Update an existing toolkit
Authorizations
Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Toolkit updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I